<!DOCTYPE html>
<html lang="es-ES">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Parametros Reporte Stock Consolidado</title>
<link href="../../maincss.css" rel="stylesheet" type="text/css" />
<link href="../../chosen/chosen.css" rel="stylesheet" />
<link href="../../tcal.css" rel="stylesheet" type="text/css" />
<!--
<script language="javascript" src="js/jquery-1.3.min.js"></script>
-->
<script language="javascript" src="../../js/tcal.js" type="text/javascript"></script>
<script language="javascript" src="../../js/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../chosen/chosen.jquery.js"></script>


<script language="javascript">
	$(document).ready(function(){
		$("#cbx_marcaelegido1").change(function () {
			$("#cbx_marcaelegido1 option:selected").each(function () {
				marcaelegido1 = $(this).val();
				$.post("marcaelegido1.php", { marcaelegido1: marcaelegido1 }, function(data){
					$("#cbx_marcaelegido2").html(data);
				});            
			});
		})
	});
</script>

<script language="javascript">
	$(document).ready(function(){
		$("#cbx_itemelegido1").change(function () {
			$("#cbx_itemelegido1 option:selected").each(function () {
				itemelegido1 = $(this).val();
				$.post("itemelegido1.php", { itemelegido1: itemelegido1 }, function(data){
					$("#cbx_itemelegido2").html(data);
				});            
			});
		})
	});
</script>

<script language="javascript">
	$(document).ready(function(){
		$("#cbx_elegido1").change(function () {

			$('#cbx_elegido3').find('option').remove().end().append('<option value="0">Todos</option>').val('0');
			$('#cbx_elegido4').find('option').remove().end().append('<option value="0">Todos</option>').val('0');
			
			$("#cbx_elegido1 option:selected").each(function () {
				elegido1 = $(this).val();
				$.post("elegido1.php", { elegido1: elegido1 }, function(data){
					$("#cbx_elegido2").html(data);
				});            
			});
		})
	});
	
	$(document).ready(function(){
		$("#cbx_elegido2").change(function () {

			$('#cbx_elegido4').find('option').remove().end().append('<option value="0">Todos</option>').val('0');

			$("#cbx_elegido2 option:selected").each(function () {
				elegido2 = $(this).val();
				$.post("elegido2.php", { elegido2: elegido2 }, function(data){
					$("#cbx_elegido3").html(data);
				});            
			});
		})
	});

	$(document).ready(function(){
		$("#cbx_elegido3").change(function () {
			$("#cbx_elegido3 option:selected").each(function () {
				elegido3 = $(this).val();
				$.post("elegido3.php", { elegido3: elegido3 }, function(data){
					$("#cbx_elegido4").html(data);
				});            
			});
		})
	});

</script>

<script language="JavaScript"> 
function oculta(id){
	 var elDiv = document.getElementById(id); //se define la variable "elDiv" igual a nuestro div
	 elDiv.style.display='none'; //damos un atributo display:none que oculta el div	 
	}
 
function muestra(id){
	 var elDiv = document.getElementById(id); //se define la variable "elDiv" igual a nuestro div
	 elDiv.style.display='block';//damos un atributo display:block que  el div	 
	}
 
window.onload = function(){/*hace que se cargue la función */
/* "Mandamos como parametro el nombre de la Div para ocultar" */
oculta('Pfamilia');
}
</script>
</head>
<?php

include "../../conn.php";
include "../../general.php";
include "../../token.php";

//$usuario = $_GET["user"];


//reporte Stock consolidado

//verificar el tipo de usuario 3 es normal (no ve el costo)
$resultuser = mysqli_query($link, "select pkyUser as cod_user, codType as cod_tipo 
from accUser
where fldLogin = '$usuario' and
sysEnabled = 1 and sysAuthorized = 1;");
		
while ($row = mysqli_fetch_array($resultuser)) {
$cod_usuario = $row['cod_user'];
$cod_tipo_usuario = $row['cod_tipo'];
}
mysqli_free_result($resultuser);

if($cod_tipo_usuario == 3 && $imprime_costo == 0) { 
	$ver_costo = 0;
} else {
	$ver_costo = 1;
}

//listado de items
$result4 = mysqli_query($link, "select pkyItem as cod_item, fldName as item, fldFactoryKey as cod_fabrica
from
invItem 
where
sysEnabled = 1 and sysAuthorized = 1 
order by fldName;");

//listado de almacenes
$result = mysqli_query($link, "select pkyWarehouse, fldName 
from invWarehouse 
where 
sysEnabled = 1 and sysAuthorized = 1 
order by fldName;");

?>
<body>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><b>Empresa: <?php echo $nombre_empresa; ?><br/>NIT: <?php echo $mi_nit; ?></b>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?><br/>F</b>
</td></tr></table><br/>
<table border="0" align="center" cellpadding="5"><tr><td colspan="2" align="center">
<b>Par&aacute;metros Reporte Stock Consolidado</b></td></tr><tr><td>
<form id="miform" name="miform" method="post" action="report.php?rep=1&tipo=1">
<br/><b>Usuario: </b></td><td> <br/><input type="text" name="usuario" value="<?php echo $usuario; ?>" size="20" readonly="readonly" class="formulario" style="color:#999;">
<input type="hidden" name="token" value="<?php echo $token; ?>">
</td></tr><tr><td>
<br/><b>Almacen: </b></td><td> <br/><!--<SELECT NAME="almacen" class="formulario">-->
<select data-placeholder="Seleccione..." class="chzn-select" style="width:300px;" NAME="almacen">
<option value="0">Todos</option>
<option value="-1">Todos Comparativo</option>
<?php 
while ($row = mysqli_fetch_array($result)) {   
?> 
<option value="<?php echo $row['pkyWarehouse']?>"><?php echo $row['pkyWarehouse']?> - <?php echo $row['fldName']?></option> 
<?php 
}  
mysqli_free_result($result);
?> 
</select>

</td></tr><tr><td>
<br/><b>Marca: </b></td><td> <br/><!--<SELECT NAME="familia" id="cbx_marcaelegido1" class="formulario">-->
<select data-placeholder="Seleccione..." class="chzn-select" style="width:300px;" NAME="marca" id="cbx_marcaelegido1">
<?php
$query = "select pkyBrand as cod, fldName as marca 
from invBrand 
where 
sysEnabled = 1 and sysAuthorized = 1
order by fldName";
$resultado=$mysqli->query($query);
?>
<option value="0">Todos</option>
<?php while($row = $resultado->fetch_assoc()) { ?>
	<option value="<?php echo $row['cod']; ?>"><?php echo $row['cod'].' - '.$row['marca']; ?></option>
<?php } 
$resultado->close(); ?> 
</select>

</td></tr>

<tr><td width="135">
<br/><b>Modelo: </b></td><td> <br/><SELECT NAME="modelo" id="cbx_marcaelegido2" style="width:300px;" class="select-css">	
<option value="0">Todos</option>
</select>

</td></tr><tr><td>

<br/><b>Mostrar por: </b></td><td> 
<br/><input type="radio" name="mostrar" checked="checked" value="0" class="formulario" onClick="muestra('Pitem'); oculta('Pfamilia')"> Rango de Items
<br/><input type="radio" name="mostrar" value="1" class="formulario" onClick="muestra('Pfamilia'); oculta('Pitem')"> Familia
<br/><input type="radio" name="mostrar" value="2" class="formulario" onClick="muestra('Pfamilia'); oculta('Pitem')"> Familia (Agrupado)
<br/><input type="radio" name="mostrar" value="3" class="formulario" onClick="muestra('Pfamilia'); oculta('Pitem')"> Sub Familia (Agrupado)
<br/><input type="radio" name="mostrar" value="4" class="formulario" onClick="muestra('Pfamilia'); oculta('Pitem')"> Grupo (Agrupado)
<br/><input type="radio" name="mostrar" value="5" class="formulario" onClick="muestra('Pfamilia'); oculta('Pitem')"> Sub Grupo (Agrupado)
</td></tr><tr><td colspan="2">
<table border="0" id="Pitem">
<tr><td width="140">
<br/><b>Item inicial: </b></td><td> <br/><!--<SELECT NAME="cuentaini" id="combo1" class="formulario">-->
<select data-placeholder="Seleccione..." class="chzn-select" style="width:450px;" NAME="itemini" id="cbx_itemelegido1">
<?php
$query = "select pkyItem as cod, fldName as item, fldFactoryKey as cod_fabrica
from
invItem
where
sysEnabled = 1 and sysAuthorized = 1 
order by cod";
$resultado=$mysqli->query($query);
?>
<option value="0">Todos</option>
<?php while($row = $resultado->fetch_assoc()) { ?>
	<option value="<?php echo $row['cod']; ?>"><?php echo $row['cod'].' - '.$row['cod_fabrica'].' - '.$row['item']; ?></option>
<?php } 
$resultado->close(); ?> 
</select>

</td></tr><tr><td>
<br/><b>Item final: </b></td><td> <br/><SELECT NAME="itemfin" id="cbx_itemelegido2" style="width:450px;" class="select-css">	
<option value="0">Todos</option>
</select>
</td></tr>
</table>

</td></tr><tr><td colspan="2">
<table border="0" id="Pfamilia">
<tr><td width="140">

<br/><b>Familia: </b></td><td> <br/><!--<SELECT NAME="familia" id="combo1" class="formulario">-->
	<select data-placeholder="Seleccione..." class="chzn-select" style="width:300px;" NAME="familia" id="cbx_elegido1">
	<?php 
	$query = "select pkyItemCategory as cod, fldName as categoria
	from
	invItemCategory
	where
	fldLevel = 1 and
	sysEnabled = 1 and sysAuthorized = 1 
	order by categoria";
	$resultado=$mysqli->query($query);
	?>
	<option value="0">Todos</option>
	<?php while($row = $resultado->fetch_assoc()) { ?>
		<option value="<?php echo $row['cod']; ?>"><?php echo $row['cod'].' - '.$row['categoria']; ?></option>
	<?php } 
	$resultado->close(); ?> 
	</select>

	</td></tr><tr><td>
<br/><b>Sub Familia: </b></td><td> <br/><SELECT NAME="subfamilia" id="cbx_elegido2" style="width:300px;" class="select-css">	
<option value="0">Todos</option>
</select>
</td></tr><tr><td>

<br/><b>Grupo: </b></td><td> <br/><SELECT NAME="grupo" id="cbx_elegido3" style="width:300px;" class="select-css">	
<option value="0">Todos</option>
</select>
</td></tr><tr><td>

<br/><b>Sub Grupo: </b></td><td> <br/><SELECT NAME="subgrupo" id="cbx_elegido4" style="width:300px;" class="select-css">
<option value="0">Todos</option>
</select>

</td></tr>
</table>

</td></tr><tr><td> 

<br/><b>Ordenado por: </b></td><td> <br/><input type="radio" name="orden" checked="checked" value="0" class="formulario"> Item (Nombre)
<br/><input type="radio" name="orden" value="1" class="formulario"> Item (C&oacute;digo)
<br/><input type="radio" name="orden" value="2" class="formulario"> Item (C&oacute;digo de F&aacute;brica)
<br/><input type="radio" name="orden" value="3" class="formulario"> Familia (C&oacute;digo)

</td></tr><tr><td>

<br/><b>Mostrar: </b></td><td> 
<br/><input type="checkbox" name="codfab_ver" value="1" class="formulario"> C&oacute;digo de F&aacute;brica
<br/><input type="checkbox" name="familia_ver" value="1" class="formulario"> Familia
<br/><input type="checkbox" name="subfamilia_ver" value="1" class="formulario"> Sub Familia
<br/><input type="checkbox" name="grupo_ver" value="1" class="formulario"> Grupo
<br/><input type="checkbox" name="subgrupo_ver" value="1" class="formulario"> Sub Grupo
<br/><input type="checkbox" name="marca_ver" value="1" class="formulario"> Marca
<br/><input type="checkbox" name="modelo_ver" value="1" class="formulario"> Modelo
<br/><input type="checkbox" name="umay_ver" value="1" class="formulario"> Unidad Mayor
<br/><input type="checkbox" name="umen_ver" value="1" class="formulario"> Unidad Menor
<br/><input type="checkbox" name="coeficiente_ver" value="1" class="formulario"> Coeficiente
<br/><input type="checkbox" name="cantidad_ver" value="1" checked="checked" class="formulario"> Cantidad
<?php if($ver_costo == 1) { ?>
<br/><input type="checkbox" name="costou_ver" value="1" class="formulario"> Costo Unitario
<br/><input type="checkbox" name="costoc_ver" value="1" class="formulario"> Costo por Cantidad
<?php } ?>
<br/><input type="checkbox" name="fecha_ver" value="1" class="formulario"> Fecha

</td></tr><tr><td colspan="2" align="center">
<br/><br/><INPUT TYPE="submit" VALUE="Generar Reporte" class="boton_generar"></td></tr>

<script type="text/javascript"> $(".chzn-select").chosen({no_results_text: "No se encontraron resultados con "}); $(".chzn-select-deselect").chosen({allow_single_deselect:true}); </script>
</form>
</table>

</body>
</html>
